Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.edit
Interface PatternVisitor<T>

All Known Implementing Classes:
  AbstractPatternVisitor, AbstractVisitor, VoidVisitor

    public interface PatternVisitor<T>

Method Summary
`T` | `visitAttribute(AttributePattern p)`
`T` | `visitChoice(ChoicePattern p)`
`T` | `visitData(DataPattern p)`
`T` | `visitElement(ElementPattern p)`
`T` | `visitEmpty(EmptyPattern p)`
`T` | `visitExternalRef(ExternalRefPattern p)`
`T` | `visitGrammar(GrammarPattern p)`
`T` | `visitGroup(GroupPattern p)`
`T` | `visitInterleave(InterleavePattern p)`
`T` | `visitList(ListPattern p)`
`T` | `visitMixed(MixedPattern p)`
`T` | `visitNotAllowed(NotAllowedPattern p)`
`T` | `visitOneOrMore(OneOrMorePattern p)`
`T` | `visitOptional(OptionalPattern p)`
`T` | `visitParentRef(ParentRefPattern p)`
`T` | `visitRef(RefPattern p)`
`T` | `visitText(TextPattern p)`
`T` | `visitValue(ValuePattern p)`
`T` | `visitZeroOrMore(ZeroOrMorePattern p)`

Method Detail

### visitElement

    T visitElement(ElementPattern p)

### visitAttribute

    T visitAttribute(AttributePattern p)

### visitOneOrMore

    T visitOneOrMore(OneOrMorePattern p)

### visitZeroOrMore

    T visitZeroOrMore(ZeroOrMorePattern p)

### visitOptional

    T visitOptional(OptionalPattern p)

### visitInterleave

    T visitInterleave(InterleavePattern p)

### visitGroup

    T visitGroup(GroupPattern p)

### visitChoice

    T visitChoice(ChoicePattern p)

### visitGrammar

    T visitGrammar(GrammarPattern p)

### visitExternalRef

    T visitExternalRef(ExternalRefPattern p)

### visitRef

    T visitRef(RefPattern p)

### visitParentRef

    T visitParentRef(ParentRefPattern p)

### visitValue

    T visitValue(ValuePattern p)

### visitData

    T visitData(DataPattern p)

### visitMixed

    T visitMixed(MixedPattern p)

### visitList

    T visitList(ListPattern p)

### visitText

    T visitText(TextPattern p)

### visitEmpty

    T visitEmpty(EmptyPattern p)

### visitNotAllowed

    T visitNotAllowed(NotAllowedPattern p)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD